import torch

from models.line_detect.line_detect import linedetect_newresnet18fpn, linedetect_resnet50_fpn, linedetect_resnet18_fpn


from models.line_net.trainer import Trainer

device = torch.device('cuda' if torch.cuda.is_available() else 'cpu')
if __name__ == '__main__':

    # model = LineNet('line_net.yaml')
    # model=linenet_resnet50_fpn()
    model = linedetect_resnet18_fpn()
    # model=get_line_net_convnext_fpn(num_classes=2).to(device)
    # model=linenet_newresnet50fpn()
    # model = lineDetect_resnet18_fpn()

    # model=linedetect_resnet18_fpn()
    # model=linedetect_newresnet18fpn()

    model.start_train(cfg='train.yaml')
